View Issue Details

IDProjectCategoryView StatusLast Update
0022933mantisbttimelinepublic2017-06-04 14:58
ReporteratrolAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version2.5.0Fixed in Version2.5.0 
Summary0022933: Confusing entry in timeline when removing other users from monitoring list
Description

User A adds himself to monitoring list.
Timeline shows: User A is monitoring issue: OK

User A adds user B to monitoring list.
There is no entry in timeline: Questionable, but OK as this has been implemented to prevent entries when sending reminders

User A removes user B from monitoring list.
Timeline shows: User A stopped monitoring issue: NOK

TagsNo tags attached.

Activities

atrol

atrol

2017-05-27 14:04

developer   ~0056972

PR https://github.com/mantisbt/mantisbt/pull/1117

vboctor

vboctor

2017-05-28 19:17

manager   ~0056980

@atrol It is unclear to me why all these events shouldn't show on the timeline. I would expect to see all of the 3 cases.

atrol

atrol

2017-05-30 14:04

developer   ~0056992

@vboctor I just implemented the same logic for unmonitoring which is already implemented for monitoring.
This helps at least to get rid of the confusing message.

We would need additional messages if we want a correct display of such events in timeline.
User A added user B to monitoring list of issue #<IssueId>
User A removed user B from monitoring list of issue #<IssueId>

There are some more activities which get not listed in Timeline at the moment, e.g. adding / removing relationships, adding / removing attachments.
The general question is: Do we want see all activity in Timeline or wouldn't this be too much of information?
We would need some kind of configurable filter in UI for it.

This goes beyond the scope of this PR and should be tracked as a separate feature request.

For the moment, I recommend to merge the PR as is.

vboctor

vboctor

2017-05-31 23:24

manager   ~0057008

Got the context and approved the PR.

I think we should reflect all the actions that change state of issues in the timeline. We could even increase the scope for other entities in the future (e.g. projects, categories, versions, etc -- though we don't record such information so I wouldn't worry about them).

Related Changesets

MantisBT: master a864b24f

2017-05-27 12:03:43

atrol

Details Diff
Don't show unmonitoring of other users in timeline

Fixes 0022933
mod - core/timeline_api.php Diff File

Issue History

Date Modified Username Field Change
2017-05-27 11:53 atrol New Issue
2017-05-27 11:53 atrol Status new => assigned
2017-05-27 11:53 atrol Assigned To => atrol
2017-05-27 14:04 atrol Note Added: 0056972
2017-05-28 19:17 vboctor Note Added: 0056980
2017-05-30 14:04 atrol Note Added: 0056992
2017-05-31 23:24 vboctor Note Added: 0057008
2017-06-01 02:31 atrol Changeset attached => MantisBT master a864b24f
2017-06-01 02:31 atrol Status assigned => resolved
2017-06-01 02:31 atrol Resolution open => fixed
2017-06-01 02:31 atrol Fixed in Version => 2.5.0
2017-06-04 14:58 vboctor Status resolved => closed